com.holonplatform.core.internal

## Class DefaultValidatorDescriptor

- java.lang.Object
- - com.holonplatform.core.internal.DefaultValidatorDescriptor

- All Implemented Interfaces:
    ValidatorDescriptor, Serializable

      public class DefaultValidatorDescriptor
      extends Object
      implements ValidatorDescriptor

  Default `ValidatorDescriptor` implementation.
  Since:
    5.0.0
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.internal.ValidatorDescriptor

      `ValidatorDescriptor.Builder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultValidatorDescriptor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Integer` | `getFractionDigits()` Get the fractional digits count.
    `Set<?>` | `getIn()` Get the admitted values
    `Integer` | `getIntegerDigits()` Get the integer digits count.
    `Number` | `getMax()` Get the maximum value.
    `Number` | `getMin()` Get the minimum value.
    `Set<?>` | `getNotIn()` Get the not admitted values
    `String` | `getPattern()` Get the value regexp pattern.
    `boolean` | `isEmail()` Get whether the value is of email type.
    `boolean` | `isExclusiveMax()` Get whether the maximum value is exclusive.
    `boolean` | `isExclusiveMin()` Get whether the minimum value is exclusive.
    `boolean` | `isFuture()` Get whether the value must be in the future.
    `boolean` | `isPast()` Get whether the value must be in the past.
    `boolean` | `isRequired()` Get whether the value is required.
    `void` | `setEmail(boolean email)` Set whether the value is of email type.
    `void` | `setExclusiveMax(boolean exclusiveMax)` Set whether the maximum value is exclusive.
    `void` | `setExclusiveMin(boolean exclusiveMin)` Set whether the minimum value is exclusive.
    `void` | `setFractionDigits(Integer fractionDigits)` Set the fractional digits count.
    `void` | `setFuture(boolean future)` Set whether the value must be in the future.
    `void` | `setIn(Set<?> in)` Set the admitted values.
    `void` | `setIntegerDigits(Integer integerDigits)` Set the integer digits count.
    `void` | `setMax(Number max)` Set the maximum value.
    `void` | `setMin(Number min)` Set the miminum value.
    `void` | `setNotIn(Set<?> notIn)` Set the not admitted values.
    `void` | `setPast(boolean past)` Set whether the value must be in the past.
    `void` | `setPattern(String pattern)` Set the value regexp pattern.
    `void` | `setRequired(boolean required)` Set whether the value is required.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.core.internal.ValidatorDescriptor

      `builder`

- - ### Constructor Detail

    - #### DefaultValidatorDescriptor

          public DefaultValidatorDescriptor()

  - ### Method Detail

    - #### isRequired

          public boolean isRequired()

      Description copied from interface: `ValidatorDescriptor`
      Get whether the value is required.
      Specified by:
        `isRequired` in interface `ValidatorDescriptor`
      Returns:
        whether the value is required

    - #### setRequired

          public void setRequired(boolean required)

      Set whether the value is required.
      Parameters:
        `required` - whether the value is required

    - #### isEmail

          public boolean isEmail()

      Description copied from interface: `ValidatorDescriptor`
      Get whether the value is of email type.
      Specified by:
        `isEmail` in interface `ValidatorDescriptor`
      Returns:
        whether the value is of email type.

    - #### setEmail

          public void setEmail(boolean email)

      Set whether the value is of email type.
      Parameters:
        `email` - whether the value is of email type.

    - #### isPast

          public boolean isPast()

      Description copied from interface: `ValidatorDescriptor`
      Get whether the value must be in the past.
      Specified by:
        `isPast` in interface `ValidatorDescriptor`
      Returns:
        whether the value must be in the past

    - #### setPast

          public void setPast(boolean past)

      Set whether the value must be in the past.
      Parameters:
        `past` - whether the value must be in the past

    - #### isFuture

          public boolean isFuture()

      Description copied from interface: `ValidatorDescriptor`
      Get whether the value must be in the future.
      Specified by:
        `isFuture` in interface `ValidatorDescriptor`
      Returns:
        whether the value must be in the future

    - #### setFuture

          public void setFuture(boolean future)

      Set whether the value must be in the future.
      Parameters:
        `future` - whether the value must be in the future

    - #### getMin

          public Number getMin()

      Description copied from interface: `ValidatorDescriptor`
      Get the minimum value.
      Specified by:
        `getMin` in interface `ValidatorDescriptor`
      Returns:
        the minimum value

    - #### setMin

          public void setMin(Number min)

      Set the miminum value.
      Parameters:
        `min` - the miminum value

    - #### getMax

          public Number getMax()

      Description copied from interface: `ValidatorDescriptor`
      Get the maximum value.
      Specified by:
        `getMax` in interface `ValidatorDescriptor`
      Returns:
        the maximum value

    - #### setMax

          public void setMax(Number max)

      Set the maximum value.
      Parameters:
        `max` - the maximum value

    - #### isExclusiveMin

          public boolean isExclusiveMin()

      Description copied from interface: `ValidatorDescriptor`
      Get whether the minimum value is exclusive.
      Specified by:
        `isExclusiveMin` in interface `ValidatorDescriptor`
      Returns:
        Whether the minimum value is exclusive

    - #### isExclusiveMax

          public boolean isExclusiveMax()

      Description copied from interface: `ValidatorDescriptor`
      Get whether the maximum value is exclusive.
      Specified by:
        `isExclusiveMax` in interface `ValidatorDescriptor`
      Returns:
        Whether the maximum value is exclusive

    - #### setExclusiveMin

          public void setExclusiveMin(boolean exclusiveMin)

      Set whether the minimum value is exclusive.
      Parameters:
        `exclusiveMin` - whether the minimum value is exclusive

    - #### setExclusiveMax

          public void setExclusiveMax(boolean exclusiveMax)

      Set whether the maximum value is exclusive.
      Parameters:
        `exclusiveMax` - whether the maximum value is exclusive

    - #### getPattern

          public String getPattern()

      Description copied from interface: `ValidatorDescriptor`
      Get the value regexp pattern.
      Specified by:
        `getPattern` in interface `ValidatorDescriptor`
      Returns:
        the value regexp pattern

    - #### setPattern

          public void setPattern(String pattern)

      Set the value regexp pattern.
      Parameters:
        `pattern` - the value regexp pattern

    - #### getIntegerDigits

          public Integer getIntegerDigits()

      Description copied from interface: `ValidatorDescriptor`
      Get the integer digits count.
      Specified by:
        `getIntegerDigits` in interface `ValidatorDescriptor`
      Returns:
        the integer digits count

    - #### setIntegerDigits

          public void setIntegerDigits(Integer integerDigits)

      Set the integer digits count.
      Parameters:
        `integerDigits` - the integer digits count

    - #### getFractionDigits

          public Integer getFractionDigits()

      Description copied from interface: `ValidatorDescriptor`
      Get the fractional digits count.
      Specified by:
        `getFractionDigits` in interface `ValidatorDescriptor`
      Returns:
        the fractional digits count

    - #### setFractionDigits

          public void setFractionDigits(Integer fractionDigits)

      Set the fractional digits count.
      Parameters:
        `fractionDigits` - the fractional digits count

    - #### getIn

          public Set<?> getIn()

      Description copied from interface: `ValidatorDescriptor`
      Get the admitted values
      Specified by:
        `getIn` in interface `ValidatorDescriptor`
      Returns:
        Admitted values

    - #### getNotIn

          public Set<?> getNotIn()

      Description copied from interface: `ValidatorDescriptor`
      Get the not admitted values
      Specified by:
        `getNotIn` in interface `ValidatorDescriptor`
      Returns:
        Not admitted values

    - #### setIn

          public void setIn(Set<?> in)

      Set the admitted values.
      Parameters:
        `in` - Values

    - #### setNotIn

          public void setNotIn(Set<?> notIn)

      Set the not admitted values.
      Parameters:
        `notIn` - Values

Copyright © 2019 The Holon Platform. All rights reserved.